import 'dart:async';
import 'package:flutter/widgets.dart';
import 'package:flutter/services.dart';
import 'dart:io';
import 'dart:convert';

class Mzanalytics_ios {
  static const MethodChannel _channel = const MethodChannel('mzanalytics');

  static Future<void> appid(String aid) async {
    try {
      _channel.invokeMethod('appid', {'appid': aid});
    } on PlatformException {}
  }

  static Future<void> trackPageView(var parameter) async {
    try {
      _channel.invokeMethod('trackPageView', parameter);
    } on PlatformException {}
  }

  static Future<void> trackEvent(var parameter) async {
    try {
      _channel.invokeMethod('trackEvent', parameter);
    } on PlatformException {}
  }

  static Future<void> trackSiteCustomEvent(var parameter) async {
    try {
      _channel.invokeMethod('trackSiteCustomEvent', parameter);
    } on PlatformException {}
  }

  static Future<void> get trackPulse async {
    try {
      _channel.invokeMethod('trackPulse');
    } on PlatformException {}
  }

  static Future<String> get getCid async {
    try {
      final String cid = await _channel.invokeMethod('getCid');
      return cid;
    } on PlatformException {}
  }

  static Future<void> setEnableLog(bool parameter) async {
    try {
      _channel.invokeMethod('setEnableLog', {'Enable': parameter});
    } on PlatformException {}
  }

  static Future<void> handleOpenURL(String url) async {
    try {
      _channel.invokeMethod('handleOpenURL', {'url': url});
    } on PlatformException {}
  }
}
